<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist='routes' name='/etc/eole/static-routes' mkdir='True' rm='True'/>
    </files>
    <variables>
        <family mode="expert" name="réseau avancé" icon='sitemap'>
            <variable name="activer_firewall" type="oui/non" description="Activer le support du firewall">
                <value>oui</value>
            </variable>
            <variable name="restrict_ping_request" type="oui/non" description="Restreindre le ping aux réseaux autorisés pour administrer le serveur">
                <value>oui</value>
            </variable>
            <variable name="activer_ipv6" type="oui/non" description="Activer le support IPV6">
                <value>non</value>
            </variable>
            <variable name="activer_routage_ipv4" type="oui/non" description="Activer le routage IPv4 entre les interfaces">
                <value>non</value>
            </variable>
            <variable name="activer_routage_ipv6" type="oui/non" description="Activer le routage IPv6 entre les interfaces">
                <value>non</value>
            </variable>
            <variable name='activer_log_martian' type='oui/non' description='Journaliser les "martian sources"'>
                <value>non</value>
            </variable>
            <variable name='activer_antispoofing' type='oui/non' description="Activer l'anti-spoofing sur toutes les interfaces">
                <value>non</value>
            </variable>
            <variable name='activer_ajout_hosts' type='oui/non' description="Déclarer des noms d'hôtes supplémentaires">
                <value>non</value>
            </variable>
            <variable name='adresse_ip_hosts' type='ip' description="Adresse IP de l'hôte" multi='True' mandatory='True'/>
            <variable name='nom_long_hosts' type='domain_strict' description="Nom long de l'hôte" mandatory='True'/>
            <!-- le nom court est facultatif -->
            <variable name='nom_court_hosts' type='hostname_strict' description="Nom court de l'hôte"/>
            <variable name='activer_route' type='oui/non' description="Ajouter des routes statiques">
                <value>non</value>
            </variable>
            <variable name='route_adresse' type='ip' description='Adresse IP ou réseau à ajouter dans la table de routage' multi='True' mandatory='True'/>
            <variable name='route_netmask' type='netmask' description='Masque de sous réseau (mettre à 255.255.255.255 si adresse host)' mandatory='True'/>
            <variable name='route_gw' type='ip' description='Adresse IP de la passerelle pour accéder à ce réseau' mandatory='True'/>
            <variable name='route_int' type='string' description="Interface réseau reliée à la passerelle" mandatory='True'/>
            <variable name='route_vlan_id' type='number' description="Numéro d'identifiant du VLAN ou rien" ></variable>
            <variable name='dns_route' type='oui/non' description="Autoriser ce réseau à utiliser les DNS du serveur" hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='dns_rvp_route' type='oui/non' description="Autoriser ce réseau à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='dns_forward_route' type='oui/non' description="Autoriser ce réseau à utiliser les DNS des zones forward additionnelles" hidden='True'>
                <value>oui</value>
            </variable>
            <variable name="ip_no_pmtu_disc" type="oui/non" description="Désactiver le path MTU discovery, le bit DF est positionné à 0">
                <value>non</value>
            </variable>
            <variable name="valeur_mtu_eth0" type="number" description="Valeur du MTU pour l'interface 0 : rien = valeur par défaut de l'interface"/>
            <variable name="valeur_mtu_eth1" type="number" description="Valeur du MTU pour l'interface 1 : rien = valeur par défaut de l'interface"/>
            <variable name="valeur_mtu_eth2" type="number" description="Valeur du MTU pour l'interface 2 : rien = valeur par défaut de l'interface"/>
            <variable name="valeur_mtu_eth3" type="number" description="Valeur du MTU pour l'interface 3 : rien = valeur par défaut de l'interface"/>
            <variable name="valeur_mtu_eth4" type="number" description="Valeur du MTU pour l'interface 4 : rien = valeur par défaut de l'interface"/>
            <variable name="valeur_mtu_ppp0" type="number" description="Valeur du MTU pour l'interface ppp0 : rien = valeur par défaut de l'interface"/>
            <variable name="ipv4_neigh_default_gc_thresh1" type="number" description="Neighbour table overflow stop culling limit">
                <value>128</value>
            </variable>
            <variable name="ipv4_neigh_default_gc_thresh2" type="number" description="Neighbour table overflow soft limit">
                <value>512</value>
            </variable>
            <variable name="ipv4_neigh_default_gc_thresh3" type="number" description="Neighbour table overflow hard limit">
                <value>1024</value>
            </variable>
            <variable name='test_distant_domaine' type='domain_strict' description="Domaine utilisé pour le test de l'accès distant" multi="True">
                <value>bp-eole.ac-dijon.fr</value>
                <value>archive.ubuntu.com</value>
            </variable>
        </family>
        <separators>
            <!-- réseau avancé -->
            <separator name='activer_route'>Ajout de routes statiques</separator>
            <separator name='ip_no_pmtu_disc'>Configuration du MTU</separator>
            <separator name='ipv4_neigh_default_gc_thresh1'>Configuration de la "neighbour table"</separator>
            <separator name='test_distant_domaine'>Test de l'accès distant</separator>
            <separator name='activer_log_martian'>Sécurité</separator>
            <separator name='activer_ajout_hosts'>Ajout d'hôtes</separator>
        </separators>
    </variables>

    <constraints>
        <check name="valid_enum" target="route_int">
            <param>['0','1','2','3','4']</param>
        </check>

        <condition name='disabled_if_in' source='activer_firewall'>
            <param>non</param>
            <target type='variable'>restrict_ping_request</target>
        </condition>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <target type='variable'>activer_antispoofing</target>
        </condition>

        <!-- Réseau avancé -->
        <condition name='disabled_if_in' source='activer_ajout_hosts'>
            <param>non</param>
            <target type='variable'>adresse_ip_hosts</target>
            <target type='variable'>nom_long_hosts</target>
            <target type='variable'>nom_court_hosts</target>
        </condition>
        <group master='adresse_ip_hosts'>
            <slave>nom_long_hosts</slave>
            <slave>nom_court_hosts</slave>
        </group>
        <condition name='disabled_if_in' source='activer_route'>
            <param>non</param>
            <target type='variable'>route_adresse</target>
            <target type='variable'>route_netmask</target>
            <target type='variable'>route_gw</target>
            <target type='variable'>route_int</target>
            <target type='variable'>route_vlan_id</target>
            <target type='filelist'>routes</target>
        </condition>
        <group master='route_adresse'>
            <slave>route_netmask</slave>
            <slave>route_gw</slave>
            <slave>route_int</slave>
            <slave>route_vlan_id</slave>
            <slave>dns_route</slave>
            <slave>dns_rvp_route</slave>
            <slave>dns_forward_route</slave>
        </group>
        <condition name='disabled_if_in' source='mode_conteneur_actif'>
            <param>non</param>
            <target type='variable'>activer_routage_ipv6</target>
        </condition>
        <condition name='disabled_if_in' source='activer_ipv6'>
            <param>non</param>
            <target type='variable'>activer_routage_ipv6</target>
        </condition>
        <condition name='disabled_if_in' source='mode_conteneur_actif'>
            <param>oui</param>
            <target type='variable'>activer_routage_ipv4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <target type='variable'>valeur_mtu_eth1</target>
            <target type='variable'>valeur_mtu_eth2</target>
            <target type='variable'>valeur_mtu_eth3</target>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <target type='variable'>valeur_mtu_eth2</target>
            <target type='variable'>valeur_mtu_eth3</target>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <param>3</param>
            <target type='variable'>valeur_mtu_eth3</target>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <param>3</param>
            <param>4</param>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
    </constraints>
    <help>
        <variable name='activer_routage_ipv4'>Permet d’activer le routage IPv4 au niveau du noyau en passant à 1 la valeur de /proc/sys/net/ipv4/ip_forward. Valeur par défaut: « non ».</variable>
        <variable name='activer_routage_ipv6'>Permet d’activer le routage IPv6 au niveau du noyau en passant à 1 la valeur de /proc/sys/net/ipv6/conf/all/forwarding. Valeur par défaut: « non ».</variable>
        <variable name='activer_ajout_hosts'>Permet d'ajouter des entrées dans le fichier /etc/hosts</variable>
        <variable name='activer_route'>Permet de déclarer des routes afin d'accéder à des adresses ou à des plages d'adresses par un chemin différent de celui par défaut</variable>
    </help>
</creole>

<!-- vim: ts=4 sw=4 expandtab
-->
